aboutsummaryrefslogtreecommitdiffstats
path: root/validation-scripts
diff options
context:
space:
mode:
authorGiulio Fidente <gfidente@redhat.com>2015-10-21 17:26:34 +0200
committerGiulio Fidente <gfidente@redhat.com>2015-10-21 17:26:34 +0200
commit9a7c55e4a71b46cb40a9288eb86e477d0a8b029c (patch)
tree9a2b37f52cd2f74107c603e0d67b145b5f9a212d /validation-scripts
parent42db2b219b0f169b2b48e11f2bc90c6594d53c6e (diff)
Ensure ping returns after 5mins timeout
This change ensures the validation script returns (with a failure) if the ping command remains stuck waiting for a response for more than 5 minutes. Change-Id: Ib184a01e04fe3c5e3ad13757a355735fff84548d
Diffstat (limited to 'validation-scripts')
-rw-r--r--validation-scripts/all-nodes.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/validation-scripts/all-nodes.sh b/validation-scripts/all-nodes.sh
index 38a5a55e..fcbfcc95 100644
--- a/validation-scripts/all-nodes.sh
+++ b/validation-scripts/all-nodes.sh
@@ -15,7 +15,7 @@ function ping_controller_ips() {
if [ $REMOTE_NETWORK/$LOCAL_CIDR == $LOCAL_NETWORK ]; then
echo -n "Trying to ping $REMOTE_IP for local network $LOCAL_NETWORK..."
- if ! ping -c 1 $REMOTE_IP &> /dev/null; then
+ if ! ping -W 300 -c 1 $REMOTE_IP &> /dev/null; then
echo "FAILURE"
echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2
exit 1